require 'active_support/secure_random'

module Organizai
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../../templates", __FILE__)

      desc "Creates a Organizaí initializer."
      class_option :orm

      def copy_initializer
        template "organizai.rb", "config/initializers/organizai.rb"
      end

      def show_readme
        readme "README" if behavior == :invoke
      end
      
    end
  end
end